<!--
  Generated template for the AlarmPage page.

  See http://ionicframework.com/docs/components/#navigation for more info on
  Ionic pages and navigation.
-->
<ion-header>

  <ion-navbar>
    <ion-title>Alarm</ion-title>
  </ion-navbar>

</ion-header>


<ion-content padding>
    <div style="border-bottom:1px solid #c0c0c0" text-center ><h2>Jadwal Minum {{medicine.name}}</h2></div>
    
    <ion-list >
        <div *ngFor = "let x of alarmList">
              <ion-item-sliding>
                <ion-item>
                    {{x}}
                    <ion-icon style ="float:right;" name="arrow-back"></ion-icon>
                </ion-item>
                <ion-item-options>
                    <button ion-button (click)="editAlarm(x)">Edit</button>
                    <button ion-button color="danger" (click)="deleteAlarm(x)">Delete</button>
                </ion-item-options>
              </ion-item-sliding> 
        </div>
        
        <ion-item style="text-align:center;" >
            <button *ngIf="maxAlarm==true" [disabled]="!isenabled"  ion-button style="padding:22px 5px; font-size:1em; width:100%; border-radius:0;" (click)="tambahAlarm()">Tambah Alarm</button>
            <button *ngIf="maxAlarm==false" [disabled]="isenabled"  ion-button style="padding:22px 5px; font-size:1em; width:100%; border-radius:0;" (click)="tambahAlarm()">Tambah Alarm</button>
        </ion-item>
    </ion-list>

</ion-content>
